libnvme(2)

NAME
enum nvme_feat_bpwp_state - Boot Partition Write Protection State

SYNOPSIS
enum nvme_feat_bpwp_state {
NVME_FEAT_BPWPS_CHANGE_NOT_REQUESTED ,
NVME_FEAT_BPWPS_WRITE_UNLOCKED ,
NVME_FEAT_BPWPS_WRITE_LOCKED ,
NVME_FEAT_BPWPS_WRITE_LOCKED_PWR_CYCLE ,
NVME_FEAT_BPWPS_WRITE_PROTECTION_RPMB

};

Constants

NVME_FEAT_BPWPS_CHANGE_NOT_REQUESTED
    Change in state not requested

NVME_FEAT_BPWPS_WRITE_UNLOCKED
    Write Unlocked

NVME_FEAT_BPWPS_WRITE_LOCKED
    Write Locked

NVME_FEAT_BPWPS_WRITE_LOCKED_PWR_CYCLE
    Write Locked Until Power Cycle

NVME_FEAT_BPWPS_WRITE_PROTECTION_RPMB
    Write Protection controlled by RPMB